View Issue Details

IDProjectCategoryView StatusLast Update
0000240CaseTalk ModelerGeneration (SQL, XML, etc)public2013-03-18 11:42
ReporterBCP Software 
Assigned ToBCP Software 
PrioritynormalSeverityfeatureReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version6.21 
Target Version7.1.1Fixed in Version7.1.1 
Summary0000240: XML Schema only works on lexicalized model
DescriptionGenerating a XML Schema file only works on a lexicalized model. It would be nice if it would work similar to XMI export. Whatever the state of the model is, simply export it as is.
TagsNo tags attached.

Relationships

Activities

BCP Software

BCP Software

2013-03-18 09:08

administrator   ~0000151

Last edited: 2013-03-18 12:30

View 5 revisions

- Element identifiers are all uppercased, and too short.
- Key attributes and KeyRef information appears duplicated.
- Annotation is not escaped in proper xml format, CDATA required.
- Missing subtype (base) definitions.
- Provide default values for simpleTypes.

Issue History

Date Modified Username Field Change
2013-03-03 21:28 BCP Software New Issue
2013-03-03 21:28 BCP Software Status new => assigned
2013-03-03 21:28 BCP Software Assigned To => BCP Software
2013-03-18 09:08 BCP Software Note Added: 0000151
2013-03-18 09:09 BCP Software Note Edited: 0000151 View Revisions
2013-03-18 11:41 BCP Software Note Edited: 0000151 View Revisions
2013-03-18 11:41 BCP Software Target Version Future => 7.1.1
2013-03-18 11:42 BCP Software Status assigned => resolved
2013-03-18 11:42 BCP Software Fixed in Version => 7.1.1
2013-03-18 11:42 BCP Software Resolution open => fixed
2013-03-18 12:16 BCP Software Note Edited: 0000151 View Revisions
2013-03-18 12:30 BCP Software Note Edited: 0000151 View Revisions
2016-01-20 12:56 BCP Software Category Generation => Generation (SQL, XML, etc)